import { IServerSideDatasource, IServerSideGetRowsParams } from '@ag-grid-community/core';
import { RequestServerResult } from '@genesislcap/foundation-comms';
import { ServerSideDatasourceOptions } from './base.types';
import { BaseServerSideDatasource } from './server-side.resource-base';
/**
 * The REQUEST_SERVER IServerSideDatasource implementation, used for SSRM (Server-Side Row Model) in the grid.
 * @alpha
 */
export declare class ReqRepServerSideDatasource extends BaseServerSideDatasource implements IServerSideDatasource {
    createReqRepRequestFunc: (existingParams?: any) => Promise<RequestServerResult>;
    constructor(options: ServerSideDatasourceOptions);
    getRows(params: IServerSideGetRowsParams): Promise<void>;
    private applyServerSideData;
    protected getCorrectRowCount(params: IServerSideGetRowsParams): number;
    private handleCurrentStreamLoad;
}
//# sourceMappingURL=server-side.resource-reqrep.d.ts.map